Gavin, I see your IC-308 is at v2.0

Have your dealer upgrade to v2.1 and run Fiery System Updates to install all available patches for v2.1

Included will be Service Packs's 1 and 2